/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */
/* You can add global styles to this file, and also import other style files */
@import "~@angular/material/theming";
@include mat-core();
$angular-primary: mat-palette($mat-teal, 500, 100, 900);
$angular-accent: mat-palette($mat-pink, A200, A100, A400);
$angular-warn: mat-palette($mat-red);
$angular-default-theme: mat-light-theme(
  (
    color: (
      primary: $angular-primary,
      accent: $angular-accent,
      warn: $angular-warn,
    ),
  )
);

@include angular-material-theme($angular-default-theme);

$angular-dark-theme: mat-dark-theme(
  (
    color: (
      primary: $angular-primary,
      accent: $angular-accent,
      warn: $angular-warn,
    ),
  )
);

.darkMode {
  @include angular-material-color($angular-dark-theme);
}
html, body { height: 100%; }
body { margin: 0; font-family: 'Roboto', sans-serif; }

.full-width {
    width: 100%;
}

.card-container {
    padding: 1em;
}
